############################
# StdLib::Items::SingleUse #
############################

package Roguelike::StdLib::Items::SingleUse;

use strict;
use warnings;
use Roguelike::Game;
use Roguelike::Utility;

my $item = $Game->{Templates}{Obj}->new(Type => "Item");
my $food = $item->new(
  Category => "Food",
  Sustenance => 0,
  Edible => 1,
  Type => "Food"
);
my $scroll = $item->new(Category => "Scrolls", Readable => 1, Type => "Scroll");
my $potion = $item->new(Category => "Potions", Drinkable => 1, Type => "Potion");

define($item, []);
define($food, []);
define($scroll, []);
define($potion, []);

42;
